Analytics

Consolidated Stats

POST/v1/analytics/consolidated-stats
POST
/v1/analytics/consolidated-stats

Get a comprehensive report of engagement statistics across all selected sequences for a specified time period.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

sequenceIdsarray<string>

Ids of the sequences

Example: ["2dP27N0gZ4","2dP27NugZ3","2dP27NrgZ3"]

startDatestring

Start Date must in a valid date & it must not be older than 2 years ago. Example:- 2001-12-18 (YYYY-MM-DD).

Example: "2024-11-15"

endDatestring

End Date must in a valid date & it must not exceed 1 year after Start Date. Example:- 2001-12-18 (YYYY-MM-DD)

Example: "2024-11-19"

pageNumnumber

Page number. It should be greater then 1

Example: 1

pageLimitnumber

Number of documents to be returned. Page limit should be between 10 & 500 per page.

Example: 25

Responses

200
Sequence prospects & emails stats fetched successfully
{
  "message": "Sequence prospects & emails stats fetched successfully",
  "payload": {
    "data": [
      {
        "Sequence Title": "Welcome Campaign",
        "Sequence Owner": "John Doe",
        "Step Number": 1,
        "Sender Email": "[email protected]",
        "Recipient Email": "[email protected]",
        "Recipient name": "Jane Smith",
        "Email Sent At": "Thu Dec 18 2024 10:59:29 GMT+5:30 (Asia/Kolkata)",
        "Open Count": 2,
        "Last Opened At": "Thu Nov 18 2024 12:04:40 GMT+5:30 (Asia/Kolkata)",
        "Replied": "Yes",
        "Replied At": "",
        "Conversation Id": "",
        "Current Sentiment": "Positive",
        "Click Count": 3,
        "Last Clicked At": "Thu Nov 22 2024 08:24:40 GMT+5:30 (Asia/Kolkata)",
        "Last Link Clicked": "https://example.com/offer",
        "Bounced": "No",
        "Bounced At": "",
        "Unsubscribed": "No",
        "Deleted": "No",
        "Sequence Id": "8Jwomvq5aO",
        "Client": {
          "id": "g9bzZq4aMd",
          "firstName": "john",
          "lastName": "doe",
          "email": "[email protected]",
          "status": "active",
          "companyName": "Demo"
        }
      },
      {
        "Sequence Title": "Follow-Up Sequence",
        "Sequence Owner": "Alice Johnson",
        "Step Number": 2,
        "Sender Email": "[email protected]",
        "Recipient Email": "[email protected]",
        "Recipient name": "Michael Brown",
        "Email Sent At": "Fri Dec 20 2024 09:45:00 GMT+5:30 (Asia/Kolkata)",
        "Open Count": 5,
        "Last Opened At": "Fri Dec 22 2024 10:15:00 GMT+5:30 (Asia/Kolkata)",
        "Replied": "No",
        "Replied At": "",
        "Conversation Id": "",
        "Current Sentiment": "Neutral",
        "Click Count": 1,
        "Last Clicked At": "Fri Dec 22 2024 11:30:00 GMT+5:30 (Asia/Kolkata)",
        "Last Link Clicked": "https://example.com/product",
        "Bounced": "No",
        "Bounced At": "",
        "Unsubscribed": "No",
        "Deleted": "No",
        "Sequence Id": "9XpRq4aYZ",
        "Client": {
          "id": "h4mQkZ2nAf",
          "firstName": "alice",
          "lastName": "johnson",
          "email": "[email protected]",
          "status": "active",
          "companyName": "TechCorp"
        }
      },
      {
        "Sequence Title": "Closing Campaign",
        "Sequence Owner": "Mark White",
        "Step Number": 3,
        "Sender Email": "[email protected]",
        "Recipient Email": "[email protected]",
        "Recipient name": "Sarah Lee",
        "Email Sent At": "Sat Dec 21 2024 14:30:00 GMT+5:30 (Asia/Kolkata)",
        "Open Count": 8,
        "Last Opened At": "Sat Dec 23 2024 16:45:00 GMT+5:30 (Asia/Kolkata)",
        "Replied": "Yes",
        "Replied At": "Sat Dec 23 2024 17:00:00 GMT+5:30 (Asia/Kolkata)",
        "Conversation Id": "8aJq9W4oBv",
        "Current Sentiment": "Positive",
        "Click Count": 4,
        "Last Clicked At": "Sat Dec 23 2024 18:30:00 GMT+5:30 (Asia/Kolkata)",
        "Last Link Clicked": "https://example.com/discount",
        "Bounced": "No",
        "Bounced At": "",
        "Unsubscribed": "Yes",
        "Deleted": "No",
        "Sequence Id": "5QwoKv8aBn",
        "Client": {}
      }
    ],
    "hasMore": false,
    "nextPageNumber": 1
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/analytics/consolidated-stats" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "sequenceIds": [
    "2dP27N0gZ4",
    "2dP27NugZ3",
    "2dP27NrgZ3"
  ],
  "startDate": "2024-11-15",
  "endDate": "2024-11-19",
  "pageNum": 1,
  "pageLimit": 25
}'

Response

No response body